Gladys Assistant v4.7.3 est disponible!

Salut à tous !

Depuis ce matin, Gladys Assistant v4.7.3 est disponible et apporte 2 changements qui peuvent paraitre mineur mais qui sont assez important :slight_smile:

Les changements

  • Ajout d’une condition “OU” dans les conditions temporelles dans les scènes, ce qui permet de faire des conditions dans les scènes cross-jours (entre 18h et 9h du matin par exemple). La demande de fonctionnalité: Ajouter une condition "OU" sur "condition temporelle". PR sur Github

  • Correction d’un bug critique sur le Zigbee2mqtt, qui pouvait rendre votre instance Gladys très lente dans certains cas avec certains appareils. PR sur Github

Le changelog complet est disponible ici.

Comment mettre à jour ?

Si vous avez installé Gladys avec l’image Raspberry Pi OS officielle, vos instances se mettront à jour automatiquement dans les heures à venir. Cela peut prendre jusqu’à 24h, pas de panique.

Si vous avez installé Gladys avec Docker, vérifiez que vous utilisez bien Watchtower (Voir la documentation )

Bravo à tous ceux qui ont participé à cette release !

2 Likes

Manques plus que la condition “en même temps” c’est dans l’air du temps !!! :scream: :innocent: :rofl:

1 Like

C’est à dire “en même temps” ?

le “en même temps” de notre cher Président !!! :innocent: On me glisses dans l’oreillette qu’on a perdu @pierre-gilles là !!! :crazy_face:

Bonjour Pierre-Gilles
test effectué ça fonctionne.
J’ai une scène qui utilise la condition temporelle Ap18h30 et Av 8h30 pour allumer une lampe extérieure qui fonctionne correctement et plus simplement maintenant, Merci à toi :grinning:. Il ne me reste plus qu’ a supprimer mon ancienne scène qui utilisait Node Red.
Bonne Journée

1 Like

Merci de ton retour @Psoy ! :slight_smile:

C’est le jour et la nuit question temps de réponse chez moi :hushed:
Gladys à retrouvé toute sa jeunesse :sweat_smile:

Merci !!

2 Likes

Suite à un plantage de mon instance Gladys (aucun plantage, en fait un enfant a arraché l’alim de mon RPi haha) je redémarres ce soir. Je suis toujours en 4.7.2 est-ce que j’ai un moyen de forcer watchtower à mettre à jour ?

EDIT : je n’ai pas trouvé de moyen pour forcer watchtower… Surtout qu’en le redémarrant j’ai rallongé la durée avant check de mise à jour…
Donc j’ai relancé watchtower avec un intervalle super court (toutes les heures) pour être moins frustré :grin::grin::grin:

Et pourtant, c’est possible avec la commande run-once :slight_smile:

Cf doc:

https://containrrr.dev/watchtower/arguments/#run_once

Exemple:

docker run \
  --rm \
  -v /var/run/docker.sock:/var/run/docker.sock \
  containrrr/watchtower \
  --cleanup --include-restarting --run-once

Cette commande peut être lancée à côté du watchtower existant, elle forcera une mise à jour, puis ce container sera automatiquement supprimée grâce à l’option “–rm”

Tu va te faire timeout par dockerhub et passera probablement à côté du prochain update ( tu l’aura plus tard)

De souvenir c’est 6h de softban.

Ah ok, j’avais vu cette commande mais j’avais peur que ça ne soit pas compatible avec le container déjà en route ! :+1:

Tu sais quel intervalle mini je peux utiliser ?
J’ai déjà eu ce soucis sur mon NAS mais cela venait du fait que les mises à jour concernaient 20 apps.
Là je ne suis pas sûr que ça aille au softban.
Ça t’es déjà arrivé ?

EDIT : je viens de lire ça :

Anonymous and Free Docker Hub users are limited to 100 and 200 container image pull requests per six hours. 

Je devrais être large !

Ouai c’est ça je savais bien qu’il y avait 6 heures dans l’histoire :sweat_smile:

1 Like